org.apache.hadoop.mapreduce.protocol

## Class ClientProtocolProvider

- java.lang.Object
- - org.apache.hadoop.mapreduce.protocol.ClientProtocolProvider

-     @InterfaceAudience.Private
      public abstract class ClientProtocolProvider
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientProtocolProvider()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `close(ClientProtocol clientProtocol)`
    `abstract ClientProtocol` | `create(org.apache.hadoop.conf.Configuration conf)`
    `abstract ClientProtocol` | `create(InetSocketAddress addr, org.apache.hadoop.conf.Configuration conf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientProtocolProvider

          public ClientProtocolProvider()

  - ### Method Detail

    - #### create

          public abstract ClientProtocol create(org.apache.hadoop.conf.Configuration conf)
                                         throws IOException

      Throws:
        `IOException`

    - #### create

          public abstract ClientProtocol create(InetSocketAddress addr,
                                                org.apache.hadoop.conf.Configuration conf)
                                         throws IOException

      Throws:
        `IOException`

    - #### close

          public abstract void close(ClientProtocol clientProtocol)
                              throws IOException

      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.